class Pt {
	public int x,y;
	Pt() {
		x = y = 0;
	}
	Pt(int _x,int _y) {
		x = _x;
		y = _y;
	}

	Pt add(int px,int py) {
		return new Pt(x+px,y+py);
	}

	int dist(Pt p) {
		return (int)Math.sqrt(((p.x-x)*(p.x-x))+((p.y-y)*(p.y-y)));
	}

	public String toString() {
		return x+","+y;
	}

	public static Pt fromString(String S) throws Exception {
		String[] N = S.split(",");
		Pt P = new Pt();
		P.x = Integer.parseInt(N[0]);
		P.y = Integer.parseInt(N[1]);
		return P;
	}
}